
Orangutan - Support #1749

Regards Support Issue #1572

16 May 2011 09:51 - Gleb Erofeev

Status: Closed Start date: 16 May 2011

Priority: Normal Due date: 11 Mar 2012

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Копая в глубь проблемы http://www.in.if.ua/issues/1572, выяснил:

11.01.24 15:15:11 Version string '0.13-server’ contains invalid data; ignoring: '-server’ at /usr/lib/perl/5.10/DynaLoader.pm line 219.

11.01.24 15:15:11 Version string '0.13-server’ contains invalid data; ignoring: '-server’ at /usr/lib/perl/5.10/DynaLoader.pm line 219.

11.01.24 15:15:11 Use of uninitialized value in subroutine entry at /usr/share/perl5/XML/Stream.pm line 2081.

Что все начинается несколько ранее (в 1х 2х строчках). Согласно cpan - в версии могут быть только цифры, точки и

дефисы.

Пруф: 

http://us.generation-nt.com/bug-578551-libauthen-sasl-cyrus-perl-ftbfs-perl-5-12-strange-version-number-help-197823431.html

Поправив версию в Cyrus.pm - получаю 2 ошибки (2 и 3ю соотв) - Вторая генерится в Cyrus.so - попрбую пересобрать из

сорцов. И посмотреть что будет - может 3я сама уйдет.

Related issues:

Related to Orangutan - Support #1572: Authorization failed error Won't Fix 24 Jan 2011 24 Feb 2011

History

#1 - 16 May 2011 13:36 - Andriy Lesyuk

- Status changed from New to Open

Спасибо за помощь, Глеб! Эти ошибки являются только предупреждением или влияют как-то негативно на работу модулей?

#2 - 16 May 2011 13:48 - Gleb Erofeev

Андрей, Привет!

Результат тот же что и здесь http://www.in.if.ua/issues/1572/

орангутанг не стартует - authorization failed.

Если я все понял правильно - из-за того что cyrus не был загружен.

У меня сейчас довольно стандартный Debian - lenny. У Вас на чем развернуто (спрашиваю потому что cyrus для разных версий разный -

кстати у вас какой?)

#3 - 16 May 2011 14:27 - Andriy Lesyuk

У меня сейчас развернут Орангутан на Debian testing (последнем) и на Ubuntu 10. Он так же успешно работал на testing до того как тот

стал стабильным... Другими словами - не думаю, что проблема в версии...

С другой стороны многие имели проблемы с авторизацией из-за libauthen-sasl-cyrus-perl. Об этом вспоминается в файле INSTALL:

 3. Orangutan reports: authorization failed: error ...
    REASON:

    There is a bug in Debian's Authen::SASL::Cyrus (see #427162).

    SOLUTION:

    Remove (if possible) libauthen-sasl-cyrus-perl and install (if not installed)

    libdigest-hmac-perl.

 

Вот ссылка на баг репорт:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=427162

Попробуйте удалить libauthen-sasl-cyrus-perl, если это возможно.

#4 - 16 May 2011 18:05 - Gleb Erofeev

Удаление libauthen-sasl-cyrus-per не дает результата, наоборот становится хуже:

Can’t locate Authen/SASL/Cyrus.pm in @INC (@INC contains: /etc/perl /usr/local/lib/perl/5.10.0 /usr/local/share/perl/5.10.0 /usr/lib/perl5

/usr/share/perl5 /usr/lib/perl/5.10 /usr/share/perl/5.10 /usr/local/lib/site_perl .)

Т.е. для SASL важно иметь этот компонент

Он так же ищет замену: “X_OAUTH2.pm” - но я вообще не знаю где это и что это. Видимо это то что должно работать вместо cyrus (когда

cyrus есть оно и не появляется) - однако откуда это можно взять я так и не понял.

Продолжаю копать в сторону версии.

#5 - 16 May 2011 18:07 - Gleb Erofeev

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=427162 - видел я этот репорт - он про sendxmpp - я не уверен но КМК этот модуль у Вас

разве используется?

#6 - 16 May 2011 20:29 - Andriy Lesyuk

Удаление libauthen-sasl-cyrus-per не дает результата, наоборот становится хуже:

 

Can’t locate Authen/SASL/Cyrus.pm in @INC (@INC contains: /etc/perl /usr/local/lib/perl/5.10.0 /usr/local/share/perl/5.10.0 /usr/lib/perl5

/usr/share/perl5 /usr/lib/perl/5.10 /usr/share/perl/5.10 /usr/local/lib/site_perl .)

Модуль XMPP Perl-а работает примерно так: загружает с сервера список поддерживаемых механизмов аутентификации и пытается

загрузить модули имеющие такие названия (отсюда и X_OAUTH2.pm). При обычной работе - таких строк много (Can’t locate...) Орангутан

же после этого не вылетает?

У меня Орангутан никогда не работал с Authen/SASL/Cyrus.pm!.. Возможно вам нужно установить libdigest-hmac-perl?..
#7 - 17 May 2011 04:58 - Gleb Erofeev

О! я не знал! спасибо.

XMPP::Conn: AuthSASL: haven't authed yet... let's wait.

XMPP::Conn: Process: timeout(1)

XML::Stream: Read: buff(<failure xmlns="urn:ietf:params:xml:ns:xmpp-sasl"><invalid-authzid/></failure>)

XML::Stream: Read: buff(</stream:stream>)

XML::Stream: Read: buff()

XML::Stream: Read: ERROR

11.05.17 08:42:24 authorization failed

XML::Stream: Send: (</stream:stream>)

XML::Stream: SetCallBacks: tag(node) func(CODE(0x990dc78))

XMPP::Conn: Disconnect: bye bye

Похоже у меня какой-то косяк в параметрах настройки jabber - а я грешил на cyrus.

#8 - 17 May 2011 07:48 - Andriy Lesyuk

Похоже, что Вам нужно указать jabber.component... Значением этого параметра должна быть доменная часть Вашего Jabber ID, например,

для GTalk это (в основном) - gmail.com.

#9 - 17 May 2011 07:57 - Gleb Erofeev

У нас домен на Google apps for Business - мне там 2 аккаунта завели. Его и ставлю как компонент. Попробую на обычный gmail прицепится.

#10 - 19 May 2011 13:30 - Andriy Lesyuk

Как Ваши успехи, Глеб? Удалось подключиться?..

#11 - 24 May 2011 12:02 - Gleb Erofeev

Увы,

Перепробовал все что можно  - не выходит.

XML::Stream: Send: (<auth xmlns='urn:ietf:params:xml:ns:xmpp-sasl' mechanism='PLAIN'>******************************************************</auth>)

XMPP::Conn: AuthSASL: haven't authed yet... let's wait.

XMPP::Conn: Process: timeout(1)

XML::Stream: Read: buff(<failure xmlns="urn:ietf:params:xml:ns:xmpp-sasl"><invalid-authzid/></failure>)

XML::Stream: Read: buff(</stream:stream>)

XML::Stream: Read: buff()

XML::Stream: Read: ERROR

11.05.24 15:45:57 authorization failed

Уж и не знаю и свой адрес ставил от gmail и компонент gtalk - и корпоративный аккаунт на GApps продовал - не заводится, авторизацию

на проходит. А то что запрос в plain это нормально?
#12 - 27 May 2011 13:44 - Gleb Erofeev

Андрей,

Что-то у меня творческих идей нет куда копать  - подскажите что-нибудь, дайте вдохновения.

Заранее спасибо

#13 - 30 May 2011 10:10 - Andriy Lesyuk

Извините, Глеб, доставка почты на сайте поломалась и я не получал сообщения!.. 

<invalid-authzid/> в осноном значит, что что-то не так в параметрах... Если возможно, поменяйте пароль на любом из эккаунтов, которые вы

тестировали, и перешлите мне данные для подключения (на E-Mail).

#14 - 12 Mar 2012 00:07 - Andriy Lesyuk

- Due date set to 11 Mar 2012

- Status changed from Open to Closed

Closing due to inactivity...
